SuSE 11.2 Security Update : Xen (SAT Patch Number 7133)

Medium Nessus Plugin ID 64232

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 6.5

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

This update fixes the following security issues in xen :

- Grant table version switch list corruption vulnerability (XSA-26). (CVE-2012-5510)

- Several HVM operations do not validate the range of their inputs (XSA-27). (CVE-2012-5511)

- HVMOP_get_mem_access crash / HVMOP_set_mem_access information leak (XSA-28). (CVE-2012-5512)

- XENMEM_exchange may overwrite hypervisor memory (XSA-29). (CVE-2012-5513)

- Missing unlock in guest_physmap_mark_populate_on_demand() (XSA-30).
(CVE-2012-5514)

- Several memory hypercall operations allow invalid extent order values (XSA-31) Also the following bugs have been fixed and upstream patches have been applied:.
(CVE-2012-5515)

- FATAL PAGE FAULT in hypervisor (arch_do_domctl)

- 25931-x86-domctl-iomem-mapping-checks.patch

- 26132-tmem-save-NULL-check.patch

- 26134-x86-shadow-invlpg-check.patch

- 26148-vcpu-timer-overflow.patch (Replaces CVE-2012-4535-xsa20.patch)

- 26149-x86-p2m-physmap-error-path.patch (Replaces CVE-2012-4537-xsa22.patch)

- 26150-x86-shadow-unhook-toplevel-check.patch (Replaces CVE-2012-4538-xsa23.patch)

- 26151-gnttab-compat-get-status-frames.patch (Replaces CVE-2012-4539-xsa24.patch)

- efi files missing in latest XEN update. (bnc#792476)

Solution

Apply SAT patch number 7133.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=777628

https://bugzilla.novell.com/show_bug.cgi?id=789940

https://bugzilla.novell.com/show_bug.cgi?id=789944

https://bugzilla.novell.com/show_bug.cgi?id=789945

https://bugzilla.novell.com/show_bug.cgi?id=789948

https://bugzilla.novell.com/show_bug.cgi?id=789950

https://bugzilla.novell.com/show_bug.cgi?id=789951

https://bugzilla.novell.com/show_bug.cgi?id=789988

https://bugzilla.novell.com/show_bug.cgi?id=792476

http://support.novell.com/security/cve/CVE-2012-4535.html

http://support.novell.com/security/cve/CVE-2012-4537.html

http://support.novell.com/security/cve/CVE-2012-4538.html

http://support.novell.com/security/cve/CVE-2012-4539.html

http://support.novell.com/security/cve/CVE-2012-5510.html

http://support.novell.com/security/cve/CVE-2012-5511.html

http://support.novell.com/security/cve/CVE-2012-5512.html

http://support.novell.com/security/cve/CVE-2012-5513.html

http://support.novell.com/security/cve/CVE-2012-5514.html

http://support.novell.com/security/cve/CVE-2012-5515.html

Plugin Details

Severity: Medium

ID: 64232

File Name: suse_11_xen-121205.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2013/01/25

Updated: 2021/01/19

Dependencies: 12634

Risk Information

Risk Factor: Medium

VPR Score: 6.5

CVSS v2.0

Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:xen, p-cpe:/a:novell:suse_linux:11:xen-doc-html, p-cpe:/a:novell:suse_linux:11:xen-doc-pdf, p-cpe:/a:novell:suse_linux:11:xen-kmp-default, p-cpe:/a:novell:suse_linux:11:xen-kmp-trace, p-cpe:/a:novell:suse_linux:11:xen-libs, p-cpe:/a:novell:suse_linux:11:xen-libs-32bit, p-cpe:/a:novell:suse_linux:11:xen-tools, p-cpe:/a:novell:suse_linux:11:xen-tools-domU, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2012/12/05

Reference Information

CVE: CVE-2012-4535, CVE-2012-4537, CVE-2012-4538, CVE-2012-4539, CVE-2012-5510, CVE-2012-5511, CVE-2012-5512, CVE-2012-5513, CVE-2012-5514, CVE-2012-5515